Ogre::D3D9DeviceManager Class Reference

Device manager interface. More...

`#include <OgreD3D9DeviceManager.h>`

Inheritance diagram for Ogre::D3D9DeviceManager:
[legend]

List of all members.

## Public Member Functions

void | setActiveDevice (D3D9Device *device)
D3D9Device * | getActiveDevice ()
void | setActiveRenderTargetDevice (D3D9Device *device)
D3D9Device * | getActiveRenderTargetDevice ()
UINT | getDeviceCount ()
D3D9Device * | getDevice (UINT index)
void | linkRenderWindow (D3D9RenderWindow *renderWindow)
void | destroyInactiveRenderDevices ()
void | notifyOnDeviceDestroy (D3D9Device *device)
D3D9Device * | getDeviceFromD3D9Device (IDirect3DDevice9 *d3d9Device)
| D3D9DeviceManager ()
| ~D3D9DeviceManager ()
void * | operator new (size_t sz, const char *file, int line, const char *func)
| operator new, with debug line info
void * | operator new (size_t sz)
void * | operator new (size_t sz, void *ptr)
| placement operator new
void * | operator new[] (size_t sz, const char *file, int line, const char *func)
| array operator new, with debug line info
void * | operator new[] (size_t sz)
void | operator delete (void *ptr)
void | operator delete (void *ptr, void *)
void | operator delete (void *ptr, const char *, int, const char *)
void | operator delete[] (void *ptr)
void | operator delete[] (void *ptr, const char *, int, const char *)

## Protected Types

typedef vector< D3D9Device * > ::type | DeviceList
typedef DeviceList::iterator | DeviceIterator
typedef DeviceList::const_iterator | ConstDeviceIterator
typedef vector < D3D9RenderWindow * >::type | D3D9RenderWindowList

## Protected Member Functions

D3D9Device * | selectDevice (D3D9RenderWindow *renderWindow, D3D9RenderWindowList &renderWindowsGroup)
D3D9Driver * | findDriver (D3D9RenderWindow *renderWindow)

## Protected Attributes

DeviceList | mRenderDevices
D3D9Device * | mActiveDevice
D3D9Device * | mActiveRenderWindowDevice

## Detailed Description

Device manager interface.

Definition at line 40 of file OgreD3D9DeviceManager.h.

## Member Typedef Documentation

typedef DeviceList::const_iterator Ogre::D3D9DeviceManager::ConstDeviceIterator`[protected]`

Definition at line 63 of file OgreD3D9DeviceManager.h.

typedef vector<D3D9RenderWindow*>::type Ogre::D3D9DeviceManager::D3D9RenderWindowList`[protected]`

Definition at line 64 of file OgreD3D9DeviceManager.h.

typedef DeviceList::iterator Ogre::D3D9DeviceManager::DeviceIterator`[protected]`

Definition at line 62 of file OgreD3D9DeviceManager.h.

typedef vector<D3D9Device*>::type Ogre::D3D9DeviceManager::DeviceList`[protected]`

Definition at line 61 of file OgreD3D9DeviceManager.h.

## Constructor & Destructor Documentation

Ogre::D3D9DeviceManager::D3D9DeviceManager | ( |  | ) |

Ogre::D3D9DeviceManager::~D3D9DeviceManager | ( |  | ) |

## Member Function Documentation

void Ogre::D3D9DeviceManager::destroyInactiveRenderDevices | ( |  | ) |

D3D9Driver* Ogre::D3D9DeviceManager::findDriver | ( | D3D9RenderWindow * | renderWindow | ) | `[protected]`

D3D9Device* Ogre::D3D9DeviceManager::getActiveDevice | ( |  | ) |

D3D9Device* Ogre::D3D9DeviceManager::getActiveRenderTargetDevice | ( |  | ) |

D3D9Device* Ogre::D3D9DeviceManager::getDevice | ( | UINT | index | ) |

UINT Ogre::D3D9DeviceManager::getDeviceCount | ( |  | ) |

D3D9Device* Ogre::D3D9DeviceManager::getDeviceFromD3D9Device | ( | IDirect3DDevice9 * | d3d9Device | ) |

void Ogre::D3D9DeviceManager::linkRenderWindow | ( | D3D9RenderWindow * | renderWindow | ) |

void Ogre::D3D9DeviceManager::notifyOnDeviceDestroy | ( | D3D9Device * | device | ) |

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr | ) | `[inherited]`

Definition at line 95 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | void * |
| ) |  | `[inherited]`

Definition at line 101 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  | `[inherited]`

Definition at line 107 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr | ) | `[inherited]`

Definition at line 112 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  | `[inherited]`

Definition at line 118 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  | `[inherited]`

operator new, with debug line info

Definition at line 67 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz | ) | `[inherited]`

Definition at line 72 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | void * | ptr
| ) |  | `[inherited]`

placement operator new

Definition at line 78 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  | `[inherited]`

array operator new, with debug line info

Definition at line 85 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz | ) | `[inherited]`

Definition at line 90 of file OgreMemoryAllocatedObject.h.

D3D9Device* Ogre::D3D9DeviceManager::selectDevice | ( | D3D9RenderWindow * | renderWindow,
|  | D3D9RenderWindowList & | renderWindowsGroup
| ) |  | `[protected]`

void Ogre::D3D9DeviceManager::setActiveDevice | ( | D3D9Device * | device | ) |

void Ogre::D3D9DeviceManager::setActiveRenderTargetDevice | ( | D3D9Device * | device | ) |

## Member Data Documentation

D3D9Device* Ogre::D3D9DeviceManager::mActiveDevice`[protected]`

Definition at line 72 of file OgreD3D9DeviceManager.h.

D3D9Device* Ogre::D3D9DeviceManager::mActiveRenderWindowDevice`[protected]`

Definition at line 73 of file OgreD3D9DeviceManager.h.

DeviceList Ogre::D3D9DeviceManager::mRenderDevices`[protected]`

Definition at line 71 of file OgreD3D9DeviceManager.h.

The documentation for this class was generated from the following file:

- OgreD3D9DeviceManager.h

Copyright © 2012 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun Sep 2 2012 07:27:47